# rpm does not currently pull debuginfo out of mono packages
%global debug_package %{nil}  

Summary:        MonoDevelop Debugger Addin
Name:           monodevelop-debugger-mdb
Version:        2.2
Release:        2%{?dist}
License:        MIT
Group:          Development/Tools
Source:         http://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
URL:            http://www.monodevelop.com
Patch0:		md-debugger-mdb-2.2-cecil.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)  
BuildRequires:  mono-devel mono-debugger-devel monodevelop-devel >= 2.2 mono-addins-devel 
Requires:       mono-debugger monodevelop >= 2.2
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparcv9 alpha s390 s390x

%description
Mono Debugger Addin for MonoDevelop. 

%package devel
Summary:        Development files for MonoDevelop Debugger Addin
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Mono Debugger Addin for MonoDevelop. Development package.

The %{name}-devel package contains development files for %{name}.

%define assembly_path %{_libdir}/monodevelop/AddIns/MonoDevelop.Debugger/

%prep
%setup -q
sed -i -e 's!@expanded_libdir@/@PACKAGE@/!%{assembly_path}!g' Mono.Debugging.Backend.Mdb/mono.debugging.backend.mdb.pc.in
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' Mono.Debugging.Server.Mdb/Makefile
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' Mono.Debugging.Backend.Mdb/Makefile
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' Mono.Debugging.Backend.Mdb.AspNet/Makefile
%patch0 -p1 -b .cecil

%build
./configure --prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir} --libdir=%{_libdir}
mkdir -p deps
cp %{_libdir}/mono/gac/Mono.Cecil/*/Mono.Cecil.dll deps
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{assembly_path}
#if [ %{_libdir} != "/usr/lib" ];
#then
#       mv %{buildroot}%{_prefix}/lib/monodevelop/AddIns/MonoDevelop.Debugger/DebuggerClient.dll* \
#              %{buildroot}%{assembly_path}
#       mv %{buildroot}%{_prefix}/lib/monodevelop/AddIns/MonoDevelop.Debugger/DebuggerServer.exe* \
#              %{buildroot}%{assembly_path}
#       rm -r %{buildroot}/usr/lib ;
#fi ;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{assembly_path}DebuggerClient.dll*
%{assembly_path}DebuggerServer.exe*
%{assembly_path}AspNetDebuggerClient.dll*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mono.debugging.backend.mdb.pc

%changelog
* Sun Mar 28 2010 Christian Krause <chkr@fedoraproject.org> - 2.2-2
- Multi-arch fix: make -devel requires arch-specific base package

* Sat Mar 20 2010 Christian Krause <chkr@fedoraproject.org> - 2.2-1
- porting the updates and bug fixes from F-13:
- Another attempt at getting 64 bit working by fixing the spec file!
- Fix for x86_64
- Change exclusivearch to reflect the archs for monodevelop
- Remove BR monodevelop
- Bump to 2.2 release

* Sun Sep 13 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.1.0-0
- Bump to 2.2 beta 1 mdb
- Added AspNetDebugger dll

* Fri Jul 03 2009 Paul Lange <palango@gmx.de> - 2.0-2
- Fix build

* Thu Jun 04 2009 Mauricio Henriquez <buhochileno@gmail.com> - 2.0-1
- Initial packaging with help by Ryan Bair
